Should you notice any errors in our documentation, please don’t hesitate to contact us. Thank you!
| Attribute Name | Meaning |
|---|---|
| booked_on | Date of booking of the invoice |
| recipient_id | Id of invoice recipient, may be a customer or multiplier id |
| state | Current state of invoice: draft, booking, awaiting_direct_debit_submission, awaiting_payment, paid, or canceled |
curl --location -g --request GET 'https://www-staging.givve.com//api/invoices?sort=created_at&skip_meta_totals=&page[number]=0&page[size]=25' \
--header 'Authorization: Bearer <token>'{
"meta": {
"total_pages": 0,
"current_page": 0,
"page_size": 0,
"total_entries": 0
},
"data": [
{
"id": "string",
"type": "string",
"number": "string",
"state": "string",
"created_at": {
"informational_timestamp": "2019-08-24T14:15:22.123Z"
},
"updated_at": {
"informational_timestamp": "2019-08-24T14:15:22.123Z"
},
"booked_on": "2019-08-24T14:15:22.123Z",
"creditor": "givve",
"due_on": "2019-08-24",
"paid_at": "2019-08-24T14:15:22.123Z",
"cancellation_number": "string",
"cancelled_at": "2019-08-24T14:15:22.123Z",
"gross_amount": {
"cents": 0,
"currency": "EUR"
},
"net_amount": {
"cents": 0,
"currency": "EUR"
},
"recipient": {
"id": "string",
"type": "string",
"property1": "string",
"property2": "string"
},
"orders": [
{}
],
"reference": "string",
"payment_method": "string"
}
],
"links": {
"self": "http://example.com",
"first": "http://example.com",
"prev": "http://example.com",
"next": "http://example.com",
"last": "http://example.com"
}
}